
QGIS Application - Bug report #17035

Error Message on Attempt to Merge and/or Convert Files

2017-08-18 07:06 PM - Paul Marsh

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.11 Regression?: No

Operating System: Windows 7 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24934

Description

I have been using QGIS to merge GeoTIFF image tiles into a single tif image.  Then, I convert the merged file to jpg.  Both operations had

been working fine until a few days ago.  Uninstalling QGIS, deleting all registry keys and other files related to QGIS did not fix the

problem.  On attempting these operations, the following error messages is given:

"Format driver GMT does not support creation and piecewise writing.

Please select a format that does, such as GTiff (the default) or HFA (Erdas Imagine)."

After doing more searching on the internet, I came across a forum post related to this error message and was pointed to the automatic

script that gets generated to perform the given operation.  For some reason, the script will now and always default to "-of GMT" regardless

of the output file type selected for the merge or convert functions.  Manually editing the script is a workaround, but the underlying bug

remains.

I have attached a screenshot showing the "-of GMT" default script.

I hope this helps.

Sincerely,

Paul Marsh

History

#1 - 2017-08-18 07:11 PM - Giovanni Manghi

- Status changed from Open to Feedback

I have seen that in the past, both personally and by others reported here. The "fix" is to clean completely the installation by removing the registry keys,

weird does not work for you. Try delete the .qgis2 folder (you may want to back it up first), then report back.

#2 - 2017-08-18 07:34 PM - Paul Marsh

Hi Giovanni,

I tried deleting the .qgis2 folder and it did not help.  The folder did regenerate after opening QGIS.

I will try another complete uninstall later this evening, including cleaning up the registry and deleting remaining files and/or folders.

At least there is a workaround, so I'm not stuck in the water.
Thanks again for the help.

Paul

#3 - 2017-08-18 07:37 PM - Giovanni Manghi

Paul Marsh wrote:

Hi Giovanni,

The folder did regenerate after opening QGIS.

this is expected, the folder is where several important things reside, like plugins.

#4 - 2017-08-20 04:17 AM - Paul Marsh

Hi Giovanni,

I uninstalled QGIS, deleted all associated registry entries and 

deleted any remaining files or folders that I could find.  In the registry, 

I deleted the entire Trolltech folder as it seemed to only exist for QGIS. 

After doing all of this, I shut down and restarted my PC.  After 

reinstalling QGIS, the problem seemed to go away at first, but came back 

again after a second attempt to merge files.  The problem still exists when 

merging files and when converting a file to a different format.  The script 

always defaults to GMT regardless of file type selected.

Although there is a workaround, I hope a fix to this can be found.

Thanks,

Paul

#5 - 2017-08-20 01:38 PM - Paul Marsh

I forgot to mention that when I reinstalled QGIS, I got a message saying it was already installed.  Something is being left behind after the uninstall process I

went though.

Thanks,

Paul

#6 - 2017-08-21 05:28 PM - Giovanni Manghi

Although there is a workaround, I hope a fix to this can be found.

I have noticed only now that this ticket is about the "merge" tool as available from the raster menu, that open the now unsupported tools from "gdal tools"

core plugin. All the tools from "gdal tools" are also available in the Processing toolbox, and user should (start) use them because anyway in QGIS 3 there

will be only the ones in Processing. There will be no fixes for the old gdal tools, unless someone wants to support the work.
Please try the (gdal)merge tool in Processing and report back.

cheers!

#7 - 2017-08-27 01:26 PM - Paul Marsh

Hi Giovanni,

The processing toolbox seems to be working.  Also, the merge and conversion routines also started working again under the Raster menu.  Regarding

merge using the toolbox, since many output types do not work for merge, it would be nice if only those that do work would be available in the choice list.  It's

a minor thing, so just a suggestion.

Thank you for the help.

Sincerely,

Paul

#8 - 2017-08-27 01:57 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

it would be nice if only those that do work would be available in the choice list.

I believe there is already a ticket about it.

#9 - 2017-12-26 01:52 PM - Andre Joost

Maybe related #16979
